Skip to main content
PUT
/
api-keys
/
{id}
curl -X PUT 'https://admin-api.exa.ai/team-management/api-keys/{id}' \ -H 'x-api-key: YOUR-SERVICE-KEY' \ -H 'Content-Type: application/json' \ -d '{ "name": "Updated Production Key", "rateLimit": 2000 }'
{
  "apiKey": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "rateLimit": 123,
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://exa.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Get your Exa API key

Overview

The Update API Key endpoint allows you to modify an existing API key

Path Parameters

  • id: The unique identifier of the API key to update (UUID format)

Optional Parameters

  • name: New descriptive name for the API key
  • rateLimit: New rate limit in requests per minute

Authorizations

x-api-key
string
header
required

Service API key for team authentication

Path Parameters

id
string<uuid>
required

The unique identifier of the API key to update

Body

application/json
name
string

Optional new name for the API key

Example:

"Updated Production Key"

rateLimit
integer

Optional new rate limit for the API key

Example:

2000

Response

API key updated successfully

apiKey
object